# Agents

Create and manage AI voice agents used in calls and campaign workflows.

## GET /agents

> List Agents

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"PaginatedResponse_AgentOut_":{"properties":{"data":{"items":{"$ref":"#/components/schemas/AgentOut"},"type":"array","title":"Data"},"meta":{"$ref":"#/components/schemas/MetaOut"},"query":{"$ref":"#/components/schemas/QueryOut"},"aggregations":{"$ref":"#/components/schemas/AggregationsOut"}},"type":"object","required":["data","meta","query"],"title":"PaginatedResponse[AgentOut]"},"AgentOut":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"knowledge_bases":{"items":{"$ref":"#/components/schemas/AgentKnowledgeBaseOut"},"type":"array","title":"Knowledge Bases","default":[]},"prompt":{"title":"Prompt","description":"Expose the composed prompt in responses as a read-only field.","readOnly":true,"type":"string"}},"type":"object","required":["name","id","created_at","updated_at","prompt"],"title":"AgentOut"},"AgentKnowledgeBaseOut":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseOut"}},"type":"object","required":["knowledge_base_id","knowledge_base"],"title":"AgentKnowledgeBaseOut"},"KnowledgeBaseOut":{"properties":{"name":{"type":"string","title":"Name"},"source_type":{"type":"string","enum":["file","url","text"],"title":"Source Type"},"external_id":{"type":"string","title":"External Id"},"default_usage_mode":{"type":"string","enum":["prompt","auto"],"title":"Default Usage Mode","default":"prompt"},"metadata":{"title":"Metadata","additionalProperties":true,"type":"object"},"url":{"title":"Url","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["name","source_type","external_id","id","created_at","updated_at"],"title":"KnowledgeBaseOut"},"MetaOut":{"properties":{"total":{"type":"integer","title":"Total"},"limit":{"type":"integer","title":"Limit"},"offset":{"type":"integer","title":"Offset"},"sort":{"$ref":"#/components/schemas/SortOut"}},"type":"object","required":["total","limit","offset"],"title":"MetaOut"},"SortOut":{"properties":{"field":{"type":"string","title":"Field"},"direction":{"type":"string","enum":["asc","desc"],"title":"Direction"}},"type":"object","required":["field","direction"],"title":"SortOut"},"QueryOut":{"properties":{"q":{"title":"Q","type":"string"},"filters":{"additionalProperties":true,"type":"object","title":"Filters"},"date_from":{"title":"Date From","type":"string","format":"date-time"},"date_to":{"title":"Date To","type":"string","format":"date-time"},"sort":{"$ref":"#/components/schemas/SortOut"}},"type":"object","title":"QueryOut"},"AggregationsOut":{"properties":{"quick_filters":{"title":"Quick Filters","additionalProperties":{"type":"integer"},"type":"object"},"extra":{"title":"Extra","additionalProperties":true,"type":"object"}},"type":"object","title":"AggregationsOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents":{"get":{"tags":["agents"],"summary":"List Agents","operationId":"list_agents_agents_get","parameters":[{"name":"include_deleted","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Deleted"}},{"name":"only_deleted","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Only Deleted"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":10,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}},{"name":"q","in":"query","required":false,"schema":{"title":"Q","type":"string"}},{"name":"sort_field","in":"query","required":false,"schema":{"title":"Sort Field","type":"string"}},{"name":"sort_dir","in":"query","required":false,"schema":{"enum":["asc","desc"],"type":"string","default":"desc","title":"Sort Dir"}},{"name":"include_aggregations","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Aggregations"}},{"name":"date_from","in":"query","required":false,"schema":{"title":"Date From","type":"string"}},{"name":"date_to","in":"query","required":false,"schema":{"title":"Date To","type":"string"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedResponse_AgentOut_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /agents

> Create Agent

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"AgentCreate":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"knowledge_bases":{"title":"Knowledge Bases","items":{"$ref":"#/components/schemas/AgentKnowledgeBaseLink"},"type":"array"},"knowledge_base_ids":{"title":"Knowledge Base Ids","items":{"type":"string","format":"uuid"},"type":"array"},"voice_owner_id":{"title":"Voice Owner Id","type":"string"},"voice_name":{"title":"Voice Name","type":"string"}},"type":"object","required":["name"],"title":"AgentCreate"},"AgentKnowledgeBaseLink":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]}},"type":"object","required":["knowledge_base_id"],"title":"AgentKnowledgeBaseLink"},"AgentOut":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"knowledge_bases":{"items":{"$ref":"#/components/schemas/AgentKnowledgeBaseOut"},"type":"array","title":"Knowledge Bases","default":[]},"prompt":{"title":"Prompt","description":"Expose the composed prompt in responses as a read-only field.","readOnly":true,"type":"string"}},"type":"object","required":["name","id","created_at","updated_at","prompt"],"title":"AgentOut"},"AgentKnowledgeBaseOut":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseOut"}},"type":"object","required":["knowledge_base_id","knowledge_base"],"title":"AgentKnowledgeBaseOut"},"KnowledgeBaseOut":{"properties":{"name":{"type":"string","title":"Name"},"source_type":{"type":"string","enum":["file","url","text"],"title":"Source Type"},"external_id":{"type":"string","title":"External Id"},"default_usage_mode":{"type":"string","enum":["prompt","auto"],"title":"Default Usage Mode","default":"prompt"},"metadata":{"title":"Metadata","additionalProperties":true,"type":"object"},"url":{"title":"Url","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["name","source_type","external_id","id","created_at","updated_at"],"title":"KnowledgeBaseOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents":{"post":{"tags":["agents"],"summary":"Create Agent","operationId":"create_agent_agents_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentCreate"}}}},"responses":{"201":{"description":"Resource created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /agents/generate-agent-identity

> Generate Agent Identity

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"AgentIdentityRequest":{"properties":{"name":{"type":"string","title":"Name"},"short_description":{"type":"string","title":"Short Description"},"business_name":{"title":"Business Name","type":"string"}},"type":"object","required":["name","short_description"],"title":"AgentIdentityRequest"},"AgentIdentityResponse":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"}},"type":"object","required":["name"],"title":"AgentIdentityResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/generate-agent-identity":{"post":{"tags":["agents"],"summary":"Generate Agent Identity","operationId":"generate_agent_identity_agents_generate_agent_identity_post","parameters":[{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentIdentityRequest"}}}},"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentIdentityResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /agents/{agent\_id}

> Get Agent

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"AgentOut":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"knowledge_bases":{"items":{"$ref":"#/components/schemas/AgentKnowledgeBaseOut"},"type":"array","title":"Knowledge Bases","default":[]},"prompt":{"title":"Prompt","description":"Expose the composed prompt in responses as a read-only field.","readOnly":true,"type":"string"}},"type":"object","required":["name","id","created_at","updated_at","prompt"],"title":"AgentOut"},"AgentKnowledgeBaseOut":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseOut"}},"type":"object","required":["knowledge_base_id","knowledge_base"],"title":"AgentKnowledgeBaseOut"},"KnowledgeBaseOut":{"properties":{"name":{"type":"string","title":"Name"},"source_type":{"type":"string","enum":["file","url","text"],"title":"Source Type"},"external_id":{"type":"string","title":"External Id"},"default_usage_mode":{"type":"string","enum":["prompt","auto"],"title":"Default Usage Mode","default":"prompt"},"metadata":{"title":"Metadata","additionalProperties":true,"type":"object"},"url":{"title":"Url","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["name","source_type","external_id","id","created_at","updated_at"],"title":"KnowledgeBaseOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}":{"get":{"tags":["agents"],"summary":"Get Agent","operationId":"get_agent_agents__agent_id__get","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"id","in":"query","required":false,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## DELETE /agents/{agent\_id}

> Delete Agent

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}":{"delete":{"tags":["agents"],"summary":"Delete Agent","operationId":"delete_agent_agents__agent_id__delete","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"purge","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Purge"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"id","in":"query","required":false,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"204":{"description":"Request completed successfully with no response body."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## PATCH /agents/{agent\_id}

> Update Agent

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"AgentUpdate":{"properties":{"name":{"title":"Name","type":"string"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"title":"Transfer To Number Enabled","type":"boolean"},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"title":"Turn Timeout","type":"integer"},"turn_eagerness":{"title":"Turn Eagerness","type":"string","enum":["normal","patient","eager"]},"silence_end_call_timeout":{"title":"Silence End Call Timeout","type":"integer"},"background_voice_detection":{"title":"Background Voice Detection","type":"boolean"},"knowledge_bases":{"title":"Knowledge Bases","items":{"$ref":"#/components/schemas/AgentKnowledgeBaseLink"},"type":"array"},"knowledge_base_ids":{"title":"Knowledge Base Ids","items":{"type":"string","format":"uuid"},"type":"array"},"voice_owner_id":{"title":"Voice Owner Id","type":"string"},"voice_name":{"title":"Voice Name","type":"string"}},"type":"object","title":"AgentUpdate"},"AgentKnowledgeBaseLink":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]}},"type":"object","required":["knowledge_base_id"],"title":"AgentKnowledgeBaseLink"},"AgentOut":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"knowledge_bases":{"items":{"$ref":"#/components/schemas/AgentKnowledgeBaseOut"},"type":"array","title":"Knowledge Bases","default":[]},"prompt":{"title":"Prompt","description":"Expose the composed prompt in responses as a read-only field.","readOnly":true,"type":"string"}},"type":"object","required":["name","id","created_at","updated_at","prompt"],"title":"AgentOut"},"AgentKnowledgeBaseOut":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseOut"}},"type":"object","required":["knowledge_base_id","knowledge_base"],"title":"AgentKnowledgeBaseOut"},"KnowledgeBaseOut":{"properties":{"name":{"type":"string","title":"Name"},"source_type":{"type":"string","enum":["file","url","text"],"title":"Source Type"},"external_id":{"type":"string","title":"External Id"},"default_usage_mode":{"type":"string","enum":["prompt","auto"],"title":"Default Usage Mode","default":"prompt"},"metadata":{"title":"Metadata","additionalProperties":true,"type":"object"},"url":{"title":"Url","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["name","source_type","external_id","id","created_at","updated_at"],"title":"KnowledgeBaseOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}":{"patch":{"tags":["agents"],"summary":"Update Agent","operationId":"update_agent_agents__agent_id__patch","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"id","in":"query","required":false,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentUpdate"}}}},"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /agents/{agent\_id}/duplicate

> Duplicate Agent Endpoint

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"AgentOut":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"knowledge_bases":{"items":{"$ref":"#/components/schemas/AgentKnowledgeBaseOut"},"type":"array","title":"Knowledge Bases","default":[]},"prompt":{"title":"Prompt","description":"Expose the composed prompt in responses as a read-only field.","readOnly":true,"type":"string"}},"type":"object","required":["name","id","created_at","updated_at","prompt"],"title":"AgentOut"},"AgentKnowledgeBaseOut":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseOut"}},"type":"object","required":["knowledge_base_id","knowledge_base"],"title":"AgentKnowledgeBaseOut"},"KnowledgeBaseOut":{"properties":{"name":{"type":"string","title":"Name"},"source_type":{"type":"string","enum":["file","url","text"],"title":"Source Type"},"external_id":{"type":"string","title":"External Id"},"default_usage_mode":{"type":"string","enum":["prompt","auto"],"title":"Default Usage Mode","default":"prompt"},"metadata":{"title":"Metadata","additionalProperties":true,"type":"object"},"url":{"title":"Url","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["name","source_type","external_id","id","created_at","updated_at"],"title":"KnowledgeBaseOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}/duplicate":{"post":{"tags":["agents"],"summary":"Duplicate Agent Endpoint","operationId":"duplicate_agent_endpoint_agents__agent_id__duplicate_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"id","in":"query","required":false,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"201":{"description":"Resource created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /agents/{agent\_id}/profile

> Upload Agent Profile

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"Body_upload_agent_profile_agents__agent_id__profile_post":{"properties":{"profile_image":{"type":"string","format":"binary","title":"Profile Image"}},"type":"object","required":["profile_image"],"title":"Body_upload_agent_profile_agents__agent_id__profile_post"},"AgentOut":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"knowledge_bases":{"items":{"$ref":"#/components/schemas/AgentKnowledgeBaseOut"},"type":"array","title":"Knowledge Bases","default":[]},"prompt":{"title":"Prompt","description":"Expose the composed prompt in responses as a read-only field.","readOnly":true,"type":"string"}},"type":"object","required":["name","id","created_at","updated_at","prompt"],"title":"AgentOut"},"AgentKnowledgeBaseOut":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseOut"}},"type":"object","required":["knowledge_base_id","knowledge_base"],"title":"AgentKnowledgeBaseOut"},"KnowledgeBaseOut":{"properties":{"name":{"type":"string","title":"Name"},"source_type":{"type":"string","enum":["file","url","text"],"title":"Source Type"},"external_id":{"type":"string","title":"External Id"},"default_usage_mode":{"type":"string","enum":["prompt","auto"],"title":"Default Usage Mode","default":"prompt"},"metadata":{"title":"Metadata","additionalProperties":true,"type":"object"},"url":{"title":"Url","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["name","source_type","external_id","id","created_at","updated_at"],"title":"KnowledgeBaseOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}/profile":{"post":{"tags":["agents"],"summary":"Upload Agent Profile","operationId":"upload_agent_profile_agents__agent_id__profile_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"id","in":"query","required":false,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_agent_profile_agents__agent_id__profile_post"}}}},"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /agents/{agent\_id}/profile\_url

> Get Agent Profile Url

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}/profile_url":{"get":{"tags":["agents"],"summary":"Get Agent Profile Url","operationId":"get_agent_profile_url_agents__agent_id__profile_url_get","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"id","in":"query","required":false,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /agents/{agent\_id}/restore

> Restore Agent

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"AgentOut":{"properties":{"name":{"type":"string","title":"Name"},"personality":{"title":"Personality","type":"string"},"environment":{"title":"Environment","type":"string"},"tone":{"title":"Tone","type":"string"},"goal":{"title":"Goal","type":"string"},"guardrails":{"title":"Guardrails","type":"string"},"first_message":{"title":"First Message","type":"string"},"language":{"title":"Language","type":"string","maxLength":32},"voice_id":{"title":"Voice Id","type":"string"},"llm":{"title":"Llm","type":"string"},"timezone":{"title":"Timezone","type":"string","maxLength":64},"tts_model":{"title":"Tts Model","type":"string"},"transfer_to_number_enabled":{"type":"boolean","title":"Transfer To Number Enabled","default":false},"transfer_to_number":{"title":"Transfer To Number","type":"string"},"transfer_to_number_condition":{"title":"Transfer To Number Condition","type":"string"},"agent_id":{"title":"Agent Id","type":"string"},"agent_phone_number_id":{"title":"Agent Phone Number Id","type":"string"},"profile_url":{"title":"Profile Url","type":"string"},"calendar_connection_id":{"title":"Calendar Connection Id","type":"string","format":"uuid"},"turn_timeout":{"type":"integer","title":"Turn Timeout","default":4},"turn_eagerness":{"type":"string","enum":["normal","patient","eager"],"title":"Turn Eagerness","default":"normal"},"silence_end_call_timeout":{"type":"integer","title":"Silence End Call Timeout","default":20},"background_voice_detection":{"type":"boolean","title":"Background Voice Detection","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"knowledge_bases":{"items":{"$ref":"#/components/schemas/AgentKnowledgeBaseOut"},"type":"array","title":"Knowledge Bases","default":[]},"prompt":{"title":"Prompt","description":"Expose the composed prompt in responses as a read-only field.","readOnly":true,"type":"string"}},"type":"object","required":["name","id","created_at","updated_at","prompt"],"title":"AgentOut"},"AgentKnowledgeBaseOut":{"properties":{"knowledge_base_id":{"type":"string","format":"uuid","title":"Knowledge Base Id"},"usage_mode":{"title":"Usage Mode","type":"string","enum":["prompt","auto"]},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseOut"}},"type":"object","required":["knowledge_base_id","knowledge_base"],"title":"AgentKnowledgeBaseOut"},"KnowledgeBaseOut":{"properties":{"name":{"type":"string","title":"Name"},"source_type":{"type":"string","enum":["file","url","text"],"title":"Source Type"},"external_id":{"type":"string","title":"External Id"},"default_usage_mode":{"type":"string","enum":["prompt","auto"],"title":"Default Usage Mode","default":"prompt"},"metadata":{"title":"Metadata","additionalProperties":true,"type":"object"},"url":{"title":"Url","type":"string"},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["name","source_type","external_id","id","created_at","updated_at"],"title":"KnowledgeBaseOut"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}/restore":{"post":{"tags":["agents"],"summary":"Restore Agent","operationId":"restore_agent_agents__agent_id__restore_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Agent Id"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"responses":{"200":{"description":"Request completed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## POST /agents/{agent\_id}/test-call

> Create Agent Test Call

```json
{"openapi":"3.1.0","info":{"title":"Umanize API","version":"0.1.0"},"tags":[{"name":"agents","description":"Create and manage AI voice agents used in calls and campaign workflows."}],"servers":[{"url":"https://api.aurorasuite.ai","description":"Production"}],"security":[{"bearerAuth":[]},{"apiKeyAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Use a JWT bearer token in the Authorization header."},"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"Use an API key for server-to-server integrations."}},"schemas":{"AgentTestCallIn":{"properties":{"phone_number":{"title":"Phone Number","type":"string","maxLength":50}},"type":"object","title":"AgentTestCallIn"},"CallAttemptOut":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"attempt_no":{"type":"integer","title":"Attempt No"},"status":{"type":"string","title":"Status"},"outcome":{"title":"Outcome","type":"string"},"conv_id":{"title":"Conv Id","type":"string"},"n8n_exec_id":{"title":"N8N Exec Id","type":"string"},"direction":{"title":"Direction","type":"string"},"external_from":{"title":"External From","type":"string"},"external_to":{"title":"External To","type":"string"},"duration_seconds":{"title":"Duration Seconds","type":"number"},"messages_count":{"type":"integer","title":"Messages Count","default":0},"call_successful":{"title":"Call Successful","type":"string"},"call_summary_title":{"title":"Call Summary Title","type":"string"},"transcript_summary":{"title":"Transcript Summary","type":"string"},"agent_goal_result":{"title":"Agent Goal Result","type":"string"},"agent_goal_rationale":{"title":"Agent Goal Rationale","type":"string"},"customer_sentiment":{"title":"Customer Sentiment","type":"string"},"customer_sentiment_rationale":{"title":"Customer Sentiment Rationale","type":"string"},"follow_up_required":{"title":"Follow Up Required","type":"boolean"},"follow_up_required_rationale":{"title":"Follow Up Required Rationale","type":"string"},"escalation_required":{"title":"Escalation Required","type":"boolean"},"escalation_required_rationale":{"title":"Escalation Required Rationale","type":"string"},"campaign":{"$ref":"#/components/schemas/CampaignRef"},"scheduled_at":{"type":"string","format":"date-time","title":"Scheduled At"},"dispatched_at":{"title":"Dispatched At","type":"string","format":"date-time"},"finished_at":{"title":"Finished At","type":"string","format":"date-time"},"delivery_attempts":{"type":"integer","title":"Delivery Attempts"},"last_error":{"title":"Last Error","type":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","attempt_no","status","scheduled_at","delivery_attempts","created_at","updated_at"],"title":"CallAttemptOut"},"CampaignRef":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"name":{"type":"string","title":"Name"}},"type":"object","required":["id","name"],"title":"CampaignRef"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/agents/{agent_id}/test-call":{"post":{"tags":["agents"],"summary":"Create Agent Test Call","operationId":"create_agent_test_call_agents__agent_id__test_call_post","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"title":"Agent Id","type":"string","format":"uuid"}},{"name":"obj_id","in":"query","required":false,"schema":{"title":"Obj Id","type":"string","format":"uuid"}},{"name":"customer_id","in":"query","required":false,"schema":{"title":"Customer Id","type":"string","format":"uuid"}},{"name":"campaign_id","in":"query","required":false,"schema":{"title":"Campaign Id","type":"string","format":"uuid"}},{"name":"knowledge_base_id","in":"query","required":false,"schema":{"title":"Knowledge Base Id","type":"string","format":"uuid"}},{"name":"id","in":"query","required":false,"schema":{"title":"Id","type":"string","format":"uuid"}},{"name":"X-API-Key","in":"header","required":false,"schema":{"title":"X-Api-Key","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"title":"Payload","$ref":"#/components/schemas/AgentTestCallIn"}}}},"responses":{"201":{"description":"Resource created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallAttemptOut"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurorasuite.ai/api-reference/agents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
